/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.internal.containers;

import java.lang.String;
import org.ovirt.engine.sdk4.types.VnicProfile;
import org.ovirt.engine.sdk4.types.VnicProfileMapping;

public class VnicProfileMappingContainer extends Container implements VnicProfileMapping {
    private String sourceNetworkName;
    private String sourceNetworkProfileName;
    private VnicProfile targetVnicProfile;
    
    public String sourceNetworkName() {
        return sourceNetworkName;
    }
    
    public void sourceNetworkName(String newSourceNetworkName) {
        sourceNetworkName = newSourceNetworkName;
    }
    
    public boolean sourceNetworkNamePresent() {
        return sourceNetworkName != null;
    }
    
    public String sourceNetworkProfileName() {
        return sourceNetworkProfileName;
    }
    
    public void sourceNetworkProfileName(String newSourceNetworkProfileName) {
        sourceNetworkProfileName = newSourceNetworkProfileName;
    }
    
    public boolean sourceNetworkProfileNamePresent() {
        return sourceNetworkProfileName != null;
    }
    
    public VnicProfile targetVnicProfile() {
        return targetVnicProfile;
    }
    
    public void targetVnicProfile(VnicProfile newTargetVnicProfile) {
        targetVnicProfile = newTargetVnicProfile;
    }
    
    public boolean targetVnicProfilePresent() {
        return targetVnicProfile != null;
    }
    
}
